Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.request
Class GetWorkspacesRequest

    java.lang.Object
      org.modeshape.graph.request.Request
          org.modeshape.graph.request.CacheableRequest
              org.modeshape.graph.request.GetWorkspacesRequest

All Implemented Interfaces:
  Serializable, Cacheable

    public class GetWorkspacesRequest

extends CacheableRequest

A request to obtain the information about the workspaces that are available.

See Also:
  Serialized Form

Constructor Summary
`GetWorkspacesRequest()` Create a request to obtain the information about the available workspaces.

Method Summary
`void` | `cancel()` Cancel this request.
`boolean` | `equals(Object obj)`
`Set<String>` | `getAvailableWorkspaceNames()` Get the names of workspaces that are available (at least to the current user)
`RequestType` | `getType()` Returns the type of the request
`int` | `hashCode()`
`boolean` | `isReadOnly()` Return whether this request only reads information.
`void` | `setAvailableWorkspaceNames(Set<String> availableWorkspaceNames)` Set the names of the workspaces that are available (at least to the current user)
`String` | `toString()`

Methods inherited from class org.modeshape.graph.request.CacheableRequest
`getCachePolicy, getTimeLoaded, setCachePolicy, setTimeLoaded`

Methods inherited from class org.modeshape.graph.request.Request
`checkNotFrozen, freeze, getError, hasError, isCancelled, isFrozen, printable, printable, setError, setLatchForFreezing`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetWorkspacesRequest

    public GetWorkspacesRequest()

  Create a request to obtain the information about the available workspaces.

Method Detail

### isReadOnly

    public boolean isReadOnly()

  Return whether this request only reads information.

  Specified by:
    `isReadOnly` in class `Request`
  Returns:
    true if this request reads information, or false if it requests that the repository content be changed in some way
  See Also:
    `Request.isReadOnly()`

### getAvailableWorkspaceNames

    public Set<String> getAvailableWorkspaceNames()

  Get the names of workspaces that are available (at least to the current user)

  Returns:
    the set of workspace names, or null if the request has not been completed

### setAvailableWorkspaceNames

    public void setAvailableWorkspaceNames(Set<String> availableWorkspaceNames)

  Set the names of the workspaces that are available (at least to the current user)

  Parameters:
    `availableWorkspaceNames` - Sets availableWorkspaceNames to the specified value.
  Throws:
    `IllegalStateException` - if the request is frozen

### cancel

    public void cancel()

  Cancel this request. After this method is called, the `cancellation flag` is set, and any current or future processing of the request may be affected by the cancellation. (Note however, that processors may choose to not respect this request.)

  This method is safe to be called by different threads.

  Overrides:
    `cancel` in class `Request`
  See Also:
    `Request.cancel()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### getType

    public RequestType getType()

  Description copied from class: `Request`
  Returns the type of the request

  Specified by:
    `getType` in class `Request`
  Returns:
    the type of the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.